Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
Public Class StorageOutFromOrderInFIFO_PopUp
    Inherits BaseObject

    Private _Products As Products
    Private _QTT_Full As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <ImmediatePostData()> _
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property QTT_Full As Double
        Get
            Return _QTT_Full
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Full", _QTT_Full, value)
        End Set
    End Property

    '--------Readonly--------------
    ReadOnly Property StorageInRows As XPCollection(Of StorageInRows)
        Get
            If Products IsNot Nothing Then
                Return New XPCollection(Of StorageInRows)(Session, CriteriaOperator.Parse("Products=?", Products))
            Else
                Return Nothing
            End If
        End Get
    End Property
End Class
